Bug 1678689 - dnf module --help refers to module_spec while man page uses module-spec
Summary: dnf module --help refers to module_spec while man page uses module-spec
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 8.0
Assignee: Jaroslav Mracek
QA Contact: Jan Blazek
URL:
Whiteboard:
Depends On: 1681084
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-19 11:46 UTC by Karel Srot
Modified: 2020-11-14 09:47 UTC (History)
4 users (show)

Fixed In Version: dnf-4.2.6-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:21:13 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:21:30 UTC

Description Karel Srot 2019-02-19 11:46:44 UTC
Description of problem:

dnf module --help refers to module_spec while man page uses module-spec.
With this difference it is a bit more difficult to find what module_spec means.

dnf module --help should refer to module-spec, such as dnf man page.

dnf-4.0.9.2-4.el8.noarch

Comment 1 Jaroslav Mracek 2019-02-19 15:22:57 UTC
I create a pull request https://github.com/rpm-software-management/dnf/pull/1327. It replace module_spec by module-spec in help (--help). What about testing? Is it a minor change? If it brakes something other modular tests will catch it.

Comment 8 errata-xmlrpc 2019-11-05 22:21:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.